# $Revision: 1.14 $, $Date: 2004/08/10 17:29:48 $
Summary:	Simple svgalib dropin replacement that utilizes aalib
Summary(pl):	Prosta biblioteka zastpujca svgalib, oparta o aalib
Name:		aavga
Version:	1.0rc1
Release:	3
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/aa-project/%{name}-%{version}.tar.gz
# Source0-md5:	75c7c0be6d22ef52768568d5ec5c5c05
Patch0:		%{name}-update.patch
URL:		http://aa-project.sourceforge.net/aavga/
BuildRequires:	aalib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
# note: no obsoletes for svgalib - vgagl.so.1 may be useful

%description
Drop-in replacement for svgalib to wrap around aa, a wonderful ascii
art library. Allows squake to run in text mode.

%description -l pl
Prosta biblioteka zastpujca svgalib, odwoujca si do aalib -
biblioteki wywietlajcej grafik jako ascii art. aavga pozwala
uruchamia programy korzystajce z svgalib w trybie tekstowym.

%prep
%setup -q -n %{name}-1.0
%patch -p1

%build
%{__cc} aavga.c -Wl,-soname,libvga.so.1 -o libvga.so.1.99.1 \
	-shared -nostdlib -fPIC %{rpmldflags} %{rpmcflags} -laa

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}

install libvga.so.* $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aavga.spec,v $
Revision 1.14  2004/08/10 17:29:48  averne
- rel 3

Revision 1.13  2003/12/10 13:02:17  undefine
- release 2 to rebuild with ac

Revision 1.12  2003/08/18 08:07:53  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/08/06 16:03:42  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.10  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.9  2003/05/25 05:45:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/05/06 11:30:20  qboosh
- use http for sources from sourceforge

Revision 1.7  2002/06/01 16:45:22  baseciq
- new %doc

Revision 1.6  2002/04/25 15:41:00  arturs
fixed a small typo

Revision 1.5  2002/02/22 23:28:39  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/01 00:18:43  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.3  2002/01/18 02:12:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.1  2001/06/24 20:11:44  qboosh
- new spec; added patch with some missing svgalib functions
